Hi
They have built the package against an older library, the versions available on OBS is 3.1.x for SLE
https://build.opensuse.org/package/s...ckage=xerces-c

As indicated on the OBS page, you need to follow up on their website;
https://build.opensuse.org/project/s...ity:shibboleth

Else you could branch the package on OBS and build against the c++ repository version.